Get all meetings for all scenarios of a user
curl --request GET \
--url https://api.waterr.ai/v1/scenarios/membership/{membershipId}/meetings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.waterr.ai/v1/scenarios/membership/{membershipId}/meetings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.waterr.ai/v1/scenarios/membership/{membershipId}/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": [
{
"id": "<string>",
"name": "<string>",
"daily_id": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"scenario": {
"id": "<string>",
"name": "<string>",
"persona": {
"id": "<string>",
"name": "<string>",
"job_title": "<string>",
"avatar": "<string>"
}
},
"Recordings": [
"<unknown>"
],
"Transcripts": [
"<unknown>"
],
"Analysis": {
"id": "<string>",
"meeting_id": "<string>",
"average_score": 123,
"total_score": 123,
"summary": "<string>",
"strengths": "<string>",
"growth_areas": "<string>",
"repetitions": "<string>",
"filler_words": "<string>",
"weak_words": "<string>",
"sentence_starters": "<string>",
"goal_results": [
{
"id": "<string>",
"analysis_id": "<string>",
"goal_id": "<string>",
"score": 123,
"feedback": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
}Scenarios
Get all meetings for all scenarios of a user
GET
/
scenarios
/
membership
/
{membershipId}
/
meetings
Get all meetings for all scenarios of a user
⌘I

